Skip to content
Browse API reference

IP Dataset Download

Returns a 302 redirect to a presigned URL for the gzip-compressed IP dataset download.

The presigned URL includes a Content-Disposition header so the downloaded file has a meaningful name (e.g. proxies-7d.jsonl.gz).

Request

GET https://api.castle.io/v1/ips/downloads/{dataset}/{window}.{format}.gz

Path parameters

datasetrequired
string

Dataset name.

proxies
windowrequired
string

Observation window included in the download.

1d7d30d60d
formatrequired
string

Download file format.

jsonlcsv

Response

302
Headers

Redirects to the presigned download URL.

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

404
No body

Not found

422
object

The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint.

429
No body

You performed too many requests. You should back off and retry using the exponential backoff algorithm.

500
No body

There’s an issue on our end.